<?php
	###############################################################################################################################################################
	# Author:		Alexander Beyer
	# Copyright:	2010 by DevelopmentSuite
	# Contact:		Info@DevelopmentSuite.de
	#				++49 (89) 45 81 85 85
	# License:		Free for non-commercial use
	#				For commercial use please contact me
	# -------------------------------------------------------------------------------------------------------------------------------------------------------------
	# File: 		dsLogin ==> dsLoginCheck.php
	# Version:		1.0.0
	# Last change:  09.12.2010
	###############################################################################################################################################################
	
	// Including of the function-file
	include 'dsLoginFunction.inc.php';
	
	// Checks if the Login is Correct
	if (CheckLogin() == false)
	{
		if (DEBUGMODE)
		{
			echo 'The user is not logged in.';
		}
		else
		{
			// If not logged in correctly, relocate to file specified in the settings
			ErrorHeader(RELOCATEPAGE_LOGINCHECKFAILED, array(DSPARAM_LOGIN.'='.DSPARAMVAL_LOGIN_EXPIRED,
								   							 DSPARAM_LOGINID.'='.$loginid));
		}
	}
	else
	{
		// Do nothing if login is correct
		if (DEBUGMODE)
		{
			echo 'The user is logged in.';
		}
	}
?>